[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TEncoding.GetPreamble

Return the BOM Marker used by the encoding

## Declaration

Source position: sysencodingh.inc line 88

`public function TEncoding.GetPreamble: TBytes; virtual; abstract;`

## Description

GetPreamble returns the BOM marker bytes used by the encoding. This is only meaningful for the UTF8 and Unicode encodings, for all other encodings there is no BOM Marker.

## See also

TUnicodeEncoding |  | UTF-16 Unicode encoding
TBigEndianUnicodeEncoding |  | Big-endian UTF-16 Unicode encoding
TUTF8Encoding |  | UTF-8 Unicode encoding